Subject: Re: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Nov 2022 18:51:12 +0200

> Date: Mon, 28 Nov 2022 17:31:11 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > So you are saying that 'VC-aware' is like 'transient', but it will use a VCS
> > if it's available?  Then I guess 'VC-aware' is a good name for it.
> 
> I suppose so. Great!
> 
> >> So if we are comparing against 'transient' only, then VC awareness is
> >> probably the key thing. And the customization options.
> > 
> > Do we have other types to compare against?
> 
> I mentioned Projectile a few messages ago.
> 
> It's a popular alternative that, with the last release, also plugs into 
> project-find-functions and thus works as a new project.el backend.
> 
> But it's third-party.

Well, we can only compare to objects we manage ourselves, so Projectile is
not relevant.

Then okay, we have 2 built-in project types, and the difference is that one
will use a VCS when available, the other won't.  That's clear enough to have
in the docs, I think.